Subject: [nfsv4] [Errata Verified] RFC5661 (3379)

From: RFC Errata System <[email-masked]>
Date: Fri, 25 Oct 2019 01:29:23 -0700 (PDT)

The following errata report has been verified for RFC5661,
"Network File System (NFS) Version 4 Minor Version 1 Protocol". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid3379

--------------------------------------
Status: Verified
Type: Technical

Reported by: Asmita Karandikar <[email-masked]>
Date Reported: 2012-10-15
Verified by: Magnus Westerlund (IESG)

Section: 18.50.3

Original Text
-------------
If there are
sessions (both idle and non-idle), opens, locks, delegations, 
layouts, and/or wants (Section 18.49) associated with the unexpired 
lease of the client ID, the server MUST return NFS4ERR_CLIENTID_BUSY.

Corrected Text
--------------
If there are 
sessions (both idle and non-idle), opens, locks, delegations, 
and/or wants (Section 18.49) associated with the unexpired 
lease of the client ID, the server MUST return NFS4ERR_CLIENTID_BUSY.

Notes
-----
Should not include layouts.
A forgetful client may not return LAYOUTS. In this case, a server will always return NFS4ERR_CLIENTID_BUSY on DESTROY_CLIENTID and end up persisting the client’s lease until it expires although the client is explicitly asking us not to.

--------------------------------------
RFC5661 (draft-ietf-nfsv4-minorversion1-29)
--------------------------------------
Title               : Network File System (NFS) Version 4 Minor Version 1 Protocol
Publication Date    : January 2010
Author(s)           : S. Shepler, Ed., M. Eisler, Ed., D. Noveck, Ed.
Category            : PROPOSED STANDARD
Source              : Network File System Version 4
Area                : Transport
Stream              : IETF
Verifying Party     : IESG